; Messages for the TeamTalk Classic scripts.
messages
; The script name, for ScriptFileName().
@msgScriptName
 %1 TeamTalk Classic
@@
@msgMessageError
  
@@
@msgMessagePos
 %1  %2
@@
@msgNoMessages
 
@@
; Various control names.
@msgChannelMessageInput
	   
@@
@msgChannelMessageHistory
 
@@
; Names of the main-window sliders in tab order.
@msgSliderNames
 | | 
@@
; Statuses indicated by various colors in icons left of channel participant names.
@msgSending

@@
@msgIdle

@@
@msgOnline
 
@@
endMessages

; Messages for the chat code module.
messages
; Name of the Send button in private chat windows.
; Used to identify them as private chats.
@chat4___scSend

@@
@chat4___msgNoMoreWindows
     
@@
; For skipping windows on cycling.
; %1 is a title to use for the window.
@chat4___msgSkippingWindow
 %1
@@
; For speaking messages on arrival.
@chat4___msgNewMessageIn
   %1
@@
@chat4___msgNewMessageIn1
   %1: %2
@@
endMessages

; Messages for the XList module.
messages
@chat4__winrecs__xlist___msgNoObjects
	    XList
@@
@chat4__winrecs__xlist___msgOutOfDelims
			xlist:   
@@
endMessages

; Messages for the roomTree module.
messages
; For roomtree__reportMemberships().
; What is spoken when there is an error getting hold of the channel tree.
@roomtree___msgNoTree
   TeamTalk
@@
; What is spoken when no one is connected.
@roomtree___msgNoMembers
  
@@
; What is spoken when no more members are found in the requested direction.
@roomtree___msgNoMoreMembers
  
@@
; Root format for the membership list for all channels containing members.
; %1 is the whole list.
@roomtree___msgMemberList
 :
%1
@@
; How two channels of members are joined into the above list.
@roomtree___msgChannels
%1
%2
@@
; The format for listing who is in a channel.
; %1 is a room name/path, %2 is a list of members.
@roomtree___msgRoomMembers
 %1: %2
@@
; Used to join members in a list of members for the above message.
@roomtree___msgAnd
%1, %2
@@
endMessages

; Messages for the UIA module.
messages
@roomtree__UIA___msgNoUIAObject
    UIAScriptAPI
@@
endMessages

; Messages for the TeamTalk utility (ttutil) module.
messages
; The first part of the main window name.
; Cuts off at the major version number in case minor upgrades remain compatible.
@ttutil__scMainWindowName4
TeamTalk 4 Classic v. 4
@@
@ttutil__scMainWindowName5
TeamTalk 5 Classic v. 5
@@
endMessages

; Constants and messages for the toolbar-handling module.

const
; The names, in order, of the toolbar items.
; The count must match exactly or this module will not function.
; The name "sep" is a placeholder for separators in the toolbar.
; These are name sets per client version.
	toolbar___msgNames41 = "/|sep|  | |sep| |sep|  ",
	toolbar___msgNames42 = "/|sep|  | |sep| | |sep|  ",
	toolbar___msgNames43 = "/|sep|  | || | | |sep|  ",
	toolbar___msgNames45 = "/|sep|  | || |   |sep| | |sep|  "

messages
; How checkboxes on the toolbar are announced when activated (checked) or deactivated.
; %1 is a name from the above list of item names.
@toolbar___msgActive
%1 
@@
@toolbar___msgInactive
%1 
@@
@toolbar___msgConnected

@@
@toolbar___msgDisconnected

@@
endMessages

; Verbosity/Option strings:
; Localize after the first colon, but do not change the name before the first colon for each of these.
; Format: varName:verbosityText:verbosityHelpText.
; VerbosityHelpText only becomes important starting in JAWS 9.
const
	SV_ChatMessageTimes = "ChatMessageTimes:        TeamTalk:  ,                 TeamTalk.",
	SV_AnalyzeTreeIcons = "AnalyzeTreeIcons:    :  ,    ( ,    )   ,           .    ,           ."

; Verbosity Options messages.
messages
@opt__msgOffOnChoices
|
@@
endMessages

; Verbosity Options tree NodeHlp strings.
messages
@appOpt__msgNodeHlp
   ,   JAWS 
  TeamTalk.
@@
endMessages

; AppHelp module messages.
messages
@msghotkeyhelp
  JAWS  TeamTalk

 

      Insert+V
           Enter
         Control+Shift+S,           

  

        Control+Shift+C
            Control+Shift+E
           Control+Shift+H

    

            Control+   Control+ 
           Control+Home  Control+End
             Control+Shift+   Control+Shift+ 
            Control+Shift+Home  Control+Shift+End

   

        Control+`  Control+Shift+`
  10            Alt+  1  0
           Alt+   Alt+ 
           Alt+Home  Alt+End
         Alt+5   

 Escape    .
@@
endMessages
